Variable used without initialization in MitkChart
Closed, ResolvedPublic

Description

Debug - Mode:

  • Image Statistics -> MitkChart open
  • load brain.nnrd
  • select brain

Exception thrown: Run-Time Check Failure #3 - The variable 'threadMaxIndex' is being used without being initialized.
In mitkMinMaxImageFilterWithIndex.hxx

hempe created this task.Oct 13 2017, 10:42 AM
goch triaged this task as High priority.Oct 17 2017, 2:58 PM

@hempe can you again test it, please? For me, it works, i.e. no exception is thrown (Win7, Qt 5.10)

hempe added a comment.Jan 18 2018, 1:10 PM

I still get the same Exception (Win10, Qt 5.9.1, Visual Studio 17)

on the current master?

hempe added a comment.Jan 18 2018, 1:43 PM

master from a week ago

hentsch claimed this task.Jan 18 2018, 2:09 PM

@hempe could you please test the new branch? This should resolve the bug

hempe added a comment.Jan 18 2018, 2:55 PM

Yes, it is resolved.

hentsch closed this task as Resolved.Jan 19 2018, 9:26 AM